<?php

namespace App\Modules\Template\TourTemplate\Application;

use App\Modules\Shared\Domain\Bus\Query\Response;

class TourTemplateResponses implements Response
{

    private array $data;

    public function __construct(TourTemplateResponse ...$data)
    {
        $this->data = $data;
    }

    public function data()
    {
        return $this->data;
    }
}
